Sequence [![Flattr this git repo](http://api.flattr.com/button/flattr-badge-large.png)](https://flattr.com/submit/auto?user_id=IanLunn&url=https://github.com/IanLunn/Sequence&title=Sequence&language=english&tags=github&category=software)
=====================

> JavaScript library that provides a simple CSS framework for creating unique, animated themes for sliders, presentations, banners, accordions, and other step-based applications.

See the [introduction](http://ianlunn.github.io/Sequence/) and [pre-made themes](http://sequencejs.com/).

## Features

- Create animated themes using CSS transitions
- Fully supports responsive design
- Supported on mobile, tablet and desktop devices
- No limitations on CSS or HTML you can use
- Animate canvas and content
- Support for 60FPS animations
- Auto play
- next/previous/pause buttons and pagination support
- Touch support via [Hammer.js](http://eightmedia.github.io/hammer.js/)
- Preloader via [ImagesLoaded](http://imagesloaded.desandro.com/)
- Hash tag support
- Keyboard navigation
- API for custom functionality
- Top quality [documentation](https://github.com/IanLunn/Sequence/wiki/Documentation)
- Supports all major browsers with a fallback mode for legacy browsers ([detailed browser support](https://github.com/IanLunn/Sequence/wiki/Sequence-v2-Browser-Support))
- [Yeoman generator](https://github.com/IanLunn/generator-sequence) available for quick scaffolding of themes

## Philosophy

The key philosophy for Sequence is to aid you in creating your animated step-based application without getting in the way of how you or a web browser work. Create content and then animate it using the HTML and CSS you're used to. There's no special syntax to learn, no limitations on the elements you can use, and no heavy JavaScript implementations recreating what the browser is already capable of.

## Getting Started

To get started [download](https://github.com/IanLunn/Sequence#download) Sequence and then head to the [documentation](https://github.com/IanLunn/Sequence/wiki/Documentation). If you'd like to contribute to Sequence's development, please see the [contributing](https://github.com/IanLunn/Sequence/blob/master/contributing.md) guidelines.

### Download

- [Download Sequence](https://github.com/IanLunn/Sequence/archive/master.zip)

Sequence can also be installed using the [Bower](http://bower.io/) command:

```
bower install sequencejs
```

or [NPM](https://www.npmjs.org/):

```
npm install sequencejs
```

## Authors

[Ian Lunn](https://ianlunn.co.uk/) and [contributors](https://github.com/IanLunn/Sequence/graphs/contributors).

Follow [@IanLunn](https://twitter.com/IanLunn/) on Twitter for updates on Sequence as well as news and opinions on front-end web development.

## Sponsors

Sequence's browser testing environment is provided by <a href="http://browserstack.com/">BrowerStack</a>.

[![Browser Stack](http://www.sequencejs.com/wp-content/themes/sequence/images/browserstack-light.png)](http://browserstack.com/)

## License

Sequence is made available under a [MIT License](https://github.com/IanLunn/Sequence/blob/master/LICENSE.md).

Sequence themes included in the download are made available under a [MIT License](https://github.com/IanLunn/Sequence/blob/master/LICENSE.md) unless otherwise stated. Themes available on [SequenceJS.com](http://www.sequencejs.com/) have their own licenses, please respect them accordingly.

[SequenceJS.com](http://www.sequencejs.com/), Sequence, and its dependencies are &copy; 2014 [Ian Lunn](https://www.ianlunn.co.uk/) unless otherwise stated.

## Support Sequence Development

To support the future development of Sequence and other open source projects created by [Ian Lunn](https://github.com/IanLunn), please consider making a contribution.

Your contribution is not-for-profit (or beer!), and will allow Ian to spend a little less time on client projects and more time supporting and creating open source software.

Thank you.

### Flatter

[![Flattr this git repo](http://api.flattr.com/button/flattr-badge-large.png)](https://flattr.com/submit/auto?user_id=IanLunn&url=https://github.com/IanLunn/Sequence&title=Sequence&language=english&tags=github&category=software)

### Bitcoin

Bitcoin contributions may be sent to the following address:

<div style="text-align: center;">
<a href="bitcoin:1KEbFvcXL8m6LogG2wjSUFz2xH6PeN6jRd?label=Sequence.js%20Development"><img src="http://ianlunn.co.uk/images/btc-donate.jpg" /></a>
<p>1KEbFvcXL8m6LogG2wjSUFz2xH6PeN6jRd</p>
</div>

[![Analytics](https://ga-beacon.appspot.com/UA-11991680-6/sequence)](https://github.com/ianlunn/sequence)
